Page MenuHomePhabricator

Use the "Apex" theme in OOjs UI when using the Apex skin
Closed, ResolvedPublic

Description

Once T78054: Switch MediaWiki core's use of OOjs UI to use the MediaWiki theme, not Apex is fixed, MediaWiki core will be default switch away from the Apex-compatible "Apex" theme in OOjs UI to use the "MediaWiki" theme. However, in the Apex skin we should instead continue to use the appropriate theme.

Details

Related Gerrit Patches:
mediawiki/skins/apex : masterUse the "Apex" OOjs UI theme
mediawiki/skins/apex : masterUse the "Apex" theme in OOjs UI

Event Timeline

Jdforrester-WMF claimed this task.
Jdforrester-WMF raised the priority of this task from to Needs Triage.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added projects: Apex, OOUI.
Jdforrester-WMF changed Security from none to None.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Change 179400 had a related patch set uploaded (by Jforrester):
Use the "Apex" theme in OOjs UI

https://gerrit.wikimedia.org/r/179400

Patch-For-Review

Jdforrester-WMF triaged this task as Low priority.Dec 12 2014, 10:17 PM
Ltrlg added a subscriber: Ltrlg.May 2 2015, 12:28 PM

Change 212917 had a related patch set uploaded (by Bartosz Dziewoński):
[WIP] OOUI theme support

https://gerrit.wikimedia.org/r/212917

Change 212918 had a related patch set uploaded (by Bartosz Dziewoński):
Use the "Apex" OOjs UI theme

https://gerrit.wikimedia.org/r/212918

Change 212919 had a related patch set uploaded (by Bartosz Dziewoński):
Use the "Apex" OOjs UI theme

https://gerrit.wikimedia.org/r/212919

Change 179400 abandoned by Jforrester:
Use the "Apex" theme in OOjs UI

Reason:
Done in Ia513c11ff.

https://gerrit.wikimedia.org/r/179400

Jdforrester-WMF moved this task from Backlog to Doing on the OOUI board.May 30 2015, 7:34 PM

Change 212918 merged by jenkins-bot:
Use the "Apex" OOjs UI theme

https://gerrit.wikimedia.org/r/212918

Jdforrester-WMF closed this task as Resolved.Jun 2 2015, 5:32 PM
Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Jun 3 2015, 9:12 PM